## gnue-appserver-0.5.3.zip

=== po/Makefile ===
DOMAIN = gnue-appserver

#XGETTEXT = xgettext --language=Python
XGETTEXT = pygettext --keyword="u_"

POTFILE = $(DOMAIN).pot
POFILES = $(shell ls *.po)
GMOFILES = $(shell ls *.po | sed -e "s/\.po/\.gmo/")

.SUFFIXES:
.SUFFIXES: .po .gmo

gmo: $(GMOFILES)

update-po:
	rm -f STATISTICS
	cd ../src; $(XGETTEXT) --output=../po/$(POTFILE) `find * -name '*.py'`
	for i in $(POFILES); do msgmerge --output-file=$$i.tmp $$i $(POTFILE) && mv $$i.tmp $$i; done
	make gmo

%.gmo: %.po
	echo -n "$*: " >> STATISTICS
	(LANGUAGE=C msgfmt --statistics --output-file=$@ $*.po 2>&1) | grep translated >> STATISTICS

.PHONY: gmo update-po

=== doc/api/Makefile ===
DOC=$(shell basename `pwd`)
MAIN=${DOC}.texi
SOURCES=${MAIN}

all: ${DOC}.txt ${DOC}.html ${DOC}.dvi ${DOC}.pdf ${DOC}.ps aux-clean

version.texi: ${SOURCES}
	echo -n "@set UPDATED " > version.texi
	grep '$$Date:' ${SOURCES} | cut --delimiter=' ' --fields=3 | sort | tail -n 1 >> version.texi
	echo -n "@set EDITION " >> version.texi
	(cd ../..; echo "import src; print src.VERSION" | gcvs) >> version.texi

${DOC}.txt: ${MAIN} ${SOURCES} version.texi
	LANG=C makeinfo --no-headers --output=${DOC}.txt ${MAIN}

${DOC}.html: ${MAIN} ${SOURCES} version.texi
	LANG=C makeinfo --html ${MAIN}
	echo "<html>" > ${DOC}.html
	echo "  <head>" >> ${DOC}.html
	echo "    <meta http-equiv=\"Refresh\" content=\"0; URL=${DOC}/index.html\">" >> ${DOC}.html
	echo "  </head>" >> ${DOC}.html
	echo "</html>" >> ${DOC}.html

${DOC}.dvi: ${MAIN} ${SOURCES} version.texi
	LANG=C texi2dvi ${MAIN}

${DOC}.pdf: ${MAIN} ${SOURCES} version.texi
	LANG=C texi2pdf ${MAIN}

${DOC}.ps: ${DOC}.dvi
	dvips ${DOC} -o ${DOC}.ps

aux-clean:
	rm -f *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.??s

clean: aux-clean
	rm -f version.texi ${DOC}.dvi ${DOC}.txt ${DOC}.html ${DOC}.pdf ${DOC}.ps
	rm -rf ${DOC}

=== doc/devguide/Makefile ===
DOC=$(shell basename `pwd`)
MAIN=${DOC}.texi
SOURCES=$(shell ls [0-9][0-9]-*)

all: ${DOC}.txt ${DOC}.html ${DOC}.dvi ${DOC}.pdf ${DOC}.ps aux-clean

version.texi: ${SOURCES}
	echo -n "@set UPDATED " > version.texi
	grep '$$Date:' ${SOURCES} | cut --delimiter=' ' --fields=3 | sort | tail -n 1 >> version.texi
	echo -n "@set EDITION " >> version.texi
	(cd ../..; echo "import src; print src.VERSION" | gcvs) >> version.texi

${DOC}.txt: ${MAIN} ${SOURCES} version.texi
	LANG=C makeinfo --no-headers --output=${DOC}.txt ${MAIN}

${DOC}.html: ${MAIN} ${SOURCES} version.texi
	LANG=C makeinfo --html ${MAIN}
	echo "<html>" > ${DOC}.html
	echo "  <head>" >> ${DOC}.html
	echo "    <meta http-equiv=\"Refresh\" content=\"0; URL=${DOC}/index.html\">" >> ${DOC}.html
	echo "  </head>" >> ${DOC}.html
	echo "</html>" >> ${DOC}.html
	cp *.png ${DOC}

${DOC}.dvi: ${MAIN} ${SOURCES} version.texi
	LANG=C texi2dvi ${MAIN}

${DOC}.pdf: ${MAIN} ${SOURCES} version.texi
	LANG=C texi2pdf ${MAIN}

${DOC}.ps: ${DOC}.dvi
	dvips ${DOC} -o ${DOC}.ps

aux-clean:
	rm -f *.aux *.cp *.fn *.ky *.log *.pg *.toc *.tp *.vr *.??s

clean: aux-clean
	rm -f version.texi ${DOC}.dvi ${DOC}.txt ${DOC}.html ${DOC}.pdf ${DOC}.ps
	rm -rf ${DOC}

=== packaging/debian/changelog ===
gnue-appserver (0.5.3-0) unstable; urgency=low

  * Unofficial Debian package

 -- GNU Enterprise Team <gnue-dev@gnu.org>  Fri, 16 Oct 2009 18:02:27 +0000

=== packaging/debian/control ===
Source: gnue-appserver
Section: interpreters
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@gnu.org>
Build-Depends-Indep: debhelper (>= 4.1.25), cdbs (>= 0.4.43), python-all-dev, python-support (>= 0.5.3), gnue-common (>= 0.6.8)
Standards-Version: 3.6.1

Package: gnue-appserver
Architecture: all
Depends: ${python:Depends}, python-support (>= 0.5.3), gnue-common (>= 0.6.8), python-pysqlite2 | python-sqlite | python-psycopg2 | python-psycopg | python-pygresql | python-pgsql | python-mysqldb | python-kinterbasdb | python-maxdb
Description: GNU Enterprise Application Server
 The GNU Enterprise Application Server is the core of the n-tier variant of the
 GNU Enterprise system.
 To the front end (be it GNUe Forms, GNUe Reports or any other tool), it
 provides user-defineable business objects with arbitary fields and methods.
 While transforming access to those fields and methods into database
 communication and calling of scripts, it cares about stability, security,
 speed, and consistency.
